Loading...
Searching...
No Matches
etl::ideque< T >::iterator Class Reference

Iterator. More...

`#include <deque.h>`

## Public Member Functions

| iterator (const iterator &other)
iterator & | operator= (const iterator &other)
iterator & | operator++ ()
iterator | operator++ (int)
iterator & | operator+= (difference_type offset)
iterator & | operator-= (difference_type offset)
iterator & | operator-- ()
iterator | operator-- (int)
reference | operator* () const
pointer | operator-> () const
reference | operator[] (size_t i)
const_reference | operator[] (size_t i) const
difference_type | get_index () const
ideque & | container () const
pointer | get_buffer () const
void | swap (iterator &other)

## Friends

class | ideque
class | const_iterator
iterator | operator+ (const iterator &lhs, difference_type offset)
iterator | operator+ (difference_type offset, const iterator &lhs)
iterator | operator- (const iterator &lhs, difference_type offset)
bool | operator== (const iterator &lhs, const iterator &rhs)
bool | operator!= (const iterator &lhs, const iterator &rhs)
bool | operator< (const iterator &lhs, const iterator &rhs)
bool | operator<= (const iterator &lhs, const iterator &rhs)
bool | operator> (const iterator &lhs, const iterator &rhs)
bool | operator>= (const iterator &lhs, const iterator &rhs)

## Additional Inherited Members

Public Types inherited from etl::iterator< ETL_OR_STD::random_access_iterator_tag, T >
typedef T | value_type
typedef ptrdiff_t | difference_type
typedef T * | pointer
typedef T & | reference
typedef ETL_OR_STD::random_access_iterator_tag | iterator_category

## Detailed Description

template<typename T>
class etl::ideque< T >::iterator

Iterator.

The documentation for this class was generated from the following file:

- include/etl/deque.h